0

I have tried to migrate a website in Joomla from version 1.5 to 2.5 using jUpgrade but I received an "undefined migrating" error:

Fatal error: Uncaught exception 'Exception' with message 'Unknown column 'rawpassword' in 'field list' SQL=INSERT INTO `j25_users` (`id`,`name`,`username`,`email`,`password`,`rawpassword`,`usertype`,`block`,`sendEmail`,`registerDate`,`lastvisitDate`,`activation`,`params`,`newsletter`,`blog`) VALUES ('62','Administrator','idnadmin','[email protected]','a67042770b2ebf18e330abbef9453a06:LKQiBAD5PjxFacEoXzHLSV7uhIAEfNGX','','Super Administrator','0','1','2011-06-09 23:43:07','2014-07-07 04:17:19','66b5d829f602c13165caecbe88d4f19f:RDRr56vAoRMkaVaQUnjRacD1xiCkDNgM','{\"admin_language\""\",\"language\""\",\"editor\""\",\"helpsite\""\",\"timezone\""UTC\"}','0','1')' in /home/tesit126/public_html/wm/administrator/components/com_jupgrade/includes/jupgrade.class.php:347 Stack trace: #0 /home/tesit126/public_html/wm/administrator/components/com_jupgrade/includes/controller.php(45): jUpgrade->upgrade() #1 {main} thrown in /home/tesit126/public_html/wm/administrator/components/com_jupgrade/includes/jupgrade.class.php on line 347
==========
[undefined] [undefined]
2
  • 1
    Welcome to Pro Webmasters on SE. This is a great bunch of folks here. I do not know Jommla, but clearly this is a database schema incompatibility. There is a missing column on table j25_users. Is there possibly a required intermediate upgrade?
    – closetnoc
    Jul 7, 2014 at 5:40
  • What is your current version of Joomla?
    – Steve
    Jul 10, 2014 at 6:49

2 Answers 2

3

Joomla 1.5's users table structure was this: http://www.torkiljohnsen.com/wp-content/uploads/2006/04/joomla_15_database_schema.png

And 3 is this http://docs.joomla.org/Tables/users

It looks like somewhere "rawpassword", "blog" and "newsletter" have been added to your database. My guess would be that you've installed a badly-coded extension that has changed the core database, since I can find no reference to these ever having been part of Joomla.

To narrow the problem down, I'd perhaps download your site and do a text search in the files for "rawpassword" to see if you can find the offending extension - see if there is a .sql file that adds it.

(NB For security, I would recommend you remove the username and password value fields in the error message you have posted)

0

Column rawpassword does not exist in 2.5. I am guessing it existed in 1.5. You can manually create such a column in the backend for 2.5 and continue with the upgrade. Once upgrade is done, delete that column.

I haven't actually tried this but it might work. If you have a backup of 1.5 before upgrade, there is no harm trying things out.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.